Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# CallbackGraphicsWindow.RenderCallbackData Class Reference

Inheritance diagram for CallbackGraphicsWindow.RenderCallbackData:

List of all members.

## Public Member Functions
RenderCallbackType | getCallbackType ()
| Since the render callback is shared for several functions, this method is needed to indicate which particular function is being invoked with this callback.
FrameMode | getFrameMode ()
| If the callback type (returned by get_callback_type) is RCT_begin_frame or RCT_end_frame, then this method will return the particular frame mode indicating what, precisely, we want to do this frame.
bool | getRenderFlag ()
| Returns the current setting of the render flag.
| setRenderFlag (bool render_flag)
| If the callback type is RCT_begin_frame, this call is available to specify the return value from the begin_frame() call.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Member Function Documentation

RenderCallbackType getCallbackType | ( |  | ) |

Since the render callback is shared for several functions, this method is needed to indicate which particular function is being invoked with this callback.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from CallbackGraphicsWindow.WindowCallbackData.

FrameMode getFrameMode | ( |  | ) |

If the callback type (returned by get_callback_type) is RCT_begin_frame or RCT_end_frame, then this method will return the particular frame mode indicating what, precisely, we want to do this frame.

bool getRenderFlag | ( |  | ) |

Returns the current setting of the render flag.

See set_render_flag().

setRenderFlag | ( | bool | render_flag | ) |

If the callback type is RCT_begin_frame, this call is available to specify the return value from the begin_frame() call.

If this is true (the default), the frame is rendered normally; if it is false, the frame is omitted.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties